Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.userManagement
Class LdapUsersManagement

    java.lang.Object
      org.esupportail.portal.channels.CStockage.userManagement.LdapUsersManagement

public class LdapUsersManagement
extends java.lang.Object

Id: LdapUsersManagement.java,v 1.0 15 oct. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: LdapUsersManagement Original Author: Yohan Colmant Manage the ldap users.

Constructor Summary
`LdapUsersManagement()`

Method Summary
`static java.lang.String` | `getUserDisplayName(java.lang.String serverUrl, java.lang.String baseDn, java.lang.String bindDn, java.lang.String bindPassword, java.lang.String attributeKey, java.lang.String attributeValue, java.lang.String displayNameAttribute)` Get a user display name from its key

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LdapUsersManagement

    public LdapUsersManagement()

Method Detail

### getUserDisplayName

    public static java.lang.String getUserDisplayName(java.lang.String serverUrl,
                                                      java.lang.String baseDn,
                                                      java.lang.String bindDn,
                                                      java.lang.String bindPassword,
                                                      java.lang.String attributeKey,
                                                      java.lang.String attributeValue,
                                                      java.lang.String displayNameAttribute)
                                               throws javax.naming.NamingException

  Get a user display name from its key

  Parameters:
    `serverUrl` - url of the ldap server
    `baseDn` - the base dn for the search
    `bindDn` - the dn used to bind to the ldap
    `bindPassword` - the password used to bind to the ldap
    `attributeKey` - the attribute key. for example, it is the attribute containing the user key in the ldap
    `attributeValue` - the user key
    `displayNameAttribute` - the display name attribute in the server
  Returns:
    the good display name
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD